Bug 1703338 - wi-fi rfkilled on Lenovo Ideapad S130-14|GM
Summary: wi-fi rfkilled on Lenovo Ideapad S130-14|GM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 06:59 UTC by Jakub Steiner
Modified: 2019-05-07 14:23 UTC (History)
16 users (show)

Fixed In Version: kernel-5.0.10-300.fc30 kernel-5.0.11-200.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 00:59:00 UTC


Attachments (Terms of Use)
dmidecode output (14.92 KB, text/plain)
2019-04-29 10:28 UTC, Jakub Steiner
no flags Details

Description Jakub Steiner 2019-04-26 06:59:26 UTC
Description of problem:
When you install Fedora 30 on the Lenovo Ideapad S130, the wifi is disabled and cannot be enabled with any user-facing UI. After some googling I found out you need to remove the ideapad-laptop module for the wifi to stop keing blocked.

Version-Release number of selected component (if applicable):


bash-5.0$ uname -a
Linux localhost.localdomain 5.0.0-300.fc30.x86_64 #1 SMP Mon Mar 4 22:46:48 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
bash-5.0$ lspci | grep -i wireless
03:00.0 Network controller: Intel Corporation Dual Band Wireless-AC 3165 Plus Bluetooth (rev 99)
bash-5.0$ lsmod | grep lwi
iwlwifi               290816  1 iwlmvm
cfg80211              794624  3 iwlmvm,iwlwifi,mac80211


How reproducible:
Every boot.

Steps to Reproduce:
1. run the live installer. no wifi
2. run `sudo modprobe -r ideapad-laptop`. wifi starts working


Whatever the ideapad-laptop module does on some other hardware, it breaks this particular model. When I was googling around, I found many other cases of slightly different wifi chips being affected.

Comment 1 Hans de Goede 2019-04-29 10:18:21 UTC
Thank you for the bug report.

The ideapad-laptop module has a list of models (based on DMI strings) where the rfkill functionality of the module should be disabled because of issues similar to yours.

Can you please run:

sudo dnf install dmidecode
sudo dmidecode &> dmidecode.log

And attach the generated dmidecode.log file here? Then I can prepare a kernel patch adding the S130 to the rfkill blacklist and build some kernel rpms for you to test the patch.

Comment 2 Jakub Steiner 2019-04-29 10:28:02 UTC
Created attachment 1559852 [details]
dmidecode output

Comment 3 Hans de Goede 2019-04-29 14:37:18 UTC
(In reply to Jakub Steiner from comment #2)
> Created attachment 1559852 [details]
> dmidecode output

Thanks.

I've ended up doing a slightly different patch, dropping the list of devices which do not have a hw rfkill switch (it was getting huge) and instead having a list for the few devices which do actually have a hw rfkill switch.

A test kernel with that patch added is building here now:

https://koji.fedoraproject.org/koji/taskinfo?taskID=34527070

This should be done building in a couple of hours, once it has completed building please give it a test run and check that wifi works even with the ideapad-laptop module loaded.

Generic testing instructions for installing a kernel directly from koji are here:
https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt

Comment 4 Jakub Steiner 2019-04-30 08:06:26 UTC
I can confirm it working with the patched kernel and the ideapad_laptop module loaded. 

A rookie question -- will this kernel get updated normally or do I need to manually downgrade to avoid this box from not updating properly (dad's machine).

Comment 5 Hans de Goede 2019-04-30 09:23:53 UTC
(In reply to Jakub Steiner from comment #4)
> I can confirm it working with the patched kernel and the ideapad_laptop
> module loaded. 
> 
> A rookie question -- will this kernel get updated normally or do I need to
> manually downgrade to avoid this box from not updating properly (dad's
> machine).

The versioning is in line with the standard Fedora kernels, so as soon as a newer version hits the update repos it will get installed.

Note that when this happens you will loose wifi again unless you blacklist the ideapad-laptop module again.

I consider it likely more then just this one model ideapad is affected, so I'm going to add the patch to the official Fedora kernels as a downstream patch for now, but there might be one or 2 more updates where the patch is no in place yet.

Comment 6 Fedora Update System 2019-04-30 22:06:44 UTC
kernel-5.0.10-300.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-87d807d7cb

Comment 7 Fedora Update System 2019-05-01 01:44:26 UTC
kernel-5.0.10-300.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-87d807d7cb

Comment 8 Fedora Update System 2019-05-02 20:36:13 UTC
kernel-5.0.11-200.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e3fc95979

Comment 9 Fedora Update System 2019-05-02 20:37:23 UTC
kernel-5.0.11-100.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a6cd583a8d

Comment 10 Fedora Update System 2019-05-03 00:59:00 UTC
kernel-5.0.10-300.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-05-03 02:02:07 UTC
kernel-5.0.11-100.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a6cd583a8d

Comment 12 Fedora Update System 2019-05-03 05:41:55 UTC
kernel-5.0.11-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e3fc95979

Comment 13 Fedora Update System 2019-05-07 04:49:58 UTC
kernel-5.0.11-100.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-07 14:23:42 UTC
kernel-5.0.11-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.